org.eclipse.wst.jsdt.chromium.debug.ui.source

## Class SourceNameMapperContainerDialog

- java.lang.Object
- - TitleAreaDialog
  - - org.eclipse.wst.jsdt.chromium.debug.ui.source.SourceNameMapperContainerDialog

    public class SourceNameMapperContainerDialog
    extends TitleAreaDialog

A dialog for adding and editing JavaScript source name mapper containers.

### Nested Class Summary

Nested Classes
`static interface` `SourceNameMapperContainerDialog.PresetFieldValues` An optional set of preset dialog field values.
`static interface` `SourceNameMapperContainerDialog.Result`

### Constructor Summary

Constructors
Constructor and Description
`SourceNameMapperContainerDialog(Shell shell, ISourceLookupDirector director, SourceNameMapperContainerDialog.PresetFieldValues initialParams)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `create()`
`protected Control` `createDialogArea(Composite ancestor)`
`SourceNameMapperContainerDialog.Result` `getResult()`
`protected void` `okPressed()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SourceNameMapperContainerDialog

    public SourceNameMapperContainerDialog(Shell shell,
                                           ISourceLookupDirector director,
                                           SourceNameMapperContainerDialog.PresetFieldValues initialParams)

### Method Detail

#### getResult

    public SourceNameMapperContainerDialog.Result getResult()

#### createDialogArea

    protected Control createDialogArea(Composite ancestor)

#### create

    public void create()

#### okPressed

    protected void okPressed()